Download it now!
Bug 129905 - Cannot turn off section boundaries with Options-Application Colors
Summary: Cannot turn off section boundaries with Options-Application Colors
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-09 10:10 UTC by sdc.blanco
Modified: 2020-01-15 07:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-01-09 10:10:58 UTC
1. Insert>Section
2. Tools>Options-LibreOffice - Application Colors
3. Unclick "Section Boundaries"
4. Apply

Actual:   Boundaries still visible
Expected:  Boundaries disappear

Additional information.
1. Problem remains even if application is closed and restarted.
2. Possible to change color of boundary
3. Also reproduced in LO 6.5.0.0.alpha
Comment 1 Dagmara 2020-01-09 11:24:15 UTC
I can confirm the bug with the following versions:
Version: 6.4.0.1 (x64)
Build ID: 1b6477b31f0334bd8620a96f0aeeb449b587be9f
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: en-US (pl_PL); UI-Language: en-US
Calc: threaded
and
Version: 6.5.0.0.alpha0+ (x64)
Build ID: d9fe1a661c6a76f0b122c82edf73ec9efbdff349
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: pl-PL (pl_PL); UI-Language: en-US
Calc: CL
Boundaries remain visible after unclicking "section boundaries".
Comment 2 Julien Nabet 2020-01-09 20:34:26 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed too that:
- for Section Boundaries
   if you enable them and choose a custom color, the color is applied
   if you disable them and let the custom color, the color is still applied!

- for unvisited links:
   if you enable them and choose a custom color, the color is applied
   if you disable them and let the custom color, the by default color (a blue) is      applied
Comment 3 Julien Nabet 2020-01-10 09:59:09 UTC
I tested Table boundaries, 
   if you enable them and choose a custom color, the color is applied
   if you disable them and let the custom color, they don't appear (the by default color isn't applied)
Comment 4 Julien Nabet 2020-01-11 13:05:04 UTC
I submitted this patch on gerrit:
https://gerrit.libreoffice.org/c/core/+/86600
Comment 5 Julien Nabet 2020-01-15 07:54:05 UTC
I don't know if the patch will be accepted, so let's not unassign since an expert dev may fix this.
Comment 6 Julien Nabet 2020-01-15 07:54:24 UTC
(let's unassign)